Debian Bug report logs - #660584
downgrade debian-installer-launcher to suggests

version graph

Package: live-tools; Maintainer for live-tools is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-tools is src:live-tools.

Reported by: Piotr <upiter77@lycos.com>

Date: Mon, 20 Feb 2012 01:51:05 UTC

Severity: normal

Fixed in version live-tools/3.0~a7-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, upiter77@lycos.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#660584; Package live-build. (Mon, 20 Feb 2012 01:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr <upiter77@lycos.com>:
New Bug report received and forwarded. Copy sent to upiter77@lycos.com, Debian Live Project <debian-live@lists.debian.org>. (Mon, 20 Feb 2012 01:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr <upiter77@lycos.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE
Date: Mon, 20 Feb 2012 02:48:17 +0100
Package: live-build
Version: 3.0~a45-1
Severity: normal

Dear Maintainer,

I've created wheezy live hdd with XFCE lightdm and I don't want a debian installer icon on the desktop, but this icon is every time there after an image creation.
In my config/binary I have the following:

# $LB_DEBIAN_INSTALLER: set debian-installer
# (Default: false)
LB_DEBIAN_INSTALLER="false"

but it doesn't help.

greetings
Piotr



         

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap  0.5.8+b1
ii  debootstrap   1.0.38

Versions of packages live-build recommends:
ii  cpio                            2.11-7
ii  gettext-base                    0.18.1.1-5
ii  gnu-fdisk                       1.2.4-3
ii  live-boot-doc                   3.0~a25-1
ii  live-config-doc                 3.0~a32-1
ii  live-manual-html [live-manual]  1:3.0~a10-1

Versions of packages live-build suggests:
pn  dosfstools                  3.0.12-1
pn  genisoimage                 <none>
pn  memtest86+ | memtest86      <none>
pn  mtools                      4.0.12-1
pn  parted                      <none>
pn  squashfs-tools | mtd-tools  <none>
pn  sudo                        1.8.3p2-1
pn  syslinux | grub             <none>
pn  uuid-runtime                <none>
pn  win32-loader                <none>

-- no debconf information




Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Mon, 20 Feb 2012 06:27:04 GMT) Full text and rfc822 format available.

Notification sent to Piotr <upiter77@lycos.com>:
Bug acknowledged by developer. (Mon, 20 Feb 2012 06:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 660584-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Piotr <upiter77@lycos.com>
Cc: 660584-done@bugs.debian.org
Subject: Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE
Date: Mon, 20 Feb 2012 07:25:18 +0100
On 02/20/2012 02:48 AM, Piotr wrote:
> I don't want a debian installer icon on the desktop

don't include debian-installer-launcher then.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Message #11 received at 660584-done@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: 660584-done@bugs.debian.org
Cc: daniel.baumann@progress-technologies.net
Subject: Re: Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE
Date: Mon, 20 Feb 2012 18:51:12 +0000 (GMT)
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660584; Package live-build. (Fri, 24 Feb 2012 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Feb 2012 00:27:07 GMT) Full text and rfc822 format available.

Message #16 received at 660584@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: 660584@bugs.debian.org
Subject: Re: Bug#660584 closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE)
Date: Fri, 24 Feb 2012 00:16:35 +0000 (GMT)
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660584; Package live-build. (Fri, 24 Feb 2012 02:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Feb 2012 02:30:03 GMT) Full text and rfc822 format available.

Message #21 received at 660584@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "upiter77@lycos.com" <upiter77@lycos.com>, 660584@bugs.debian.org
Subject: Re: Bug#660584: closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE)
Date: Thu, 23 Feb 2012 22:28:23 -0400
p.s. Also, I know live-config has a script to configure
debian-installer-launcher, but that is triggered only if the package
exists in your image. Check:

- The .packages file generated by your build (is
debian-installer-launcher in it?)

- The version of live-config included in your image (again, check the
.packages file). In the versions I've looked at, it looks like there's
no way it would trigger without including the package.

- grep your config tree ... is it conceivable you included the
debian-installer-launcher package without meaning to by copying it from
someone else's config?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660584; Package live-build. (Fri, 24 Feb 2012 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Feb 2012 02:45:03 GMT) Full text and rfc822 format available.

Message #26 received at 660584@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "upiter77@lycos.com" <upiter77@lycos.com>, 660584@bugs.debian.org
Subject: Re: Bug#660584: closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE)
Date: Thu, 23 Feb 2012 22:12:03 -0400
On 23/02/12 08:16 PM, upiter77@lycos.com wrote:
> Thx, but I didn't include it, but the icon of debian-installer-launcher
> it was installed on the desktop.
> How To exclude debian-installer-launcher completely from the installation?
> I cannot find in the manual:
> 
> http://live-manual.debian.net/manual-3.x/manual/html/live-manual.en.html

I'm afraid I don't understand your problem. Please show me a live-build
configuration that includes debian-installer-launcher without explicitly
listing the package in a package list, because so far as I know that's
the only way to include it.

I know our prebuilt images include it, but that's because they're
configured that way.

Ben





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660584; Package live-build. (Fri, 24 Feb 2012 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Feb 2012 14:03:03 GMT) Full text and rfc822 format available.

Message #31 received at 660584@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: synrg@sanctuary.nslug.ns.ca
Cc: 660584@bugs.debian.org
Subject: Re: Re: Bug#660584: closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE)
Date: Fri, 24 Feb 2012 13:58:32 +0000 (GMT)
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660584; Package live-build. (Fri, 24 Feb 2012 17:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Feb 2012 17:51:09 GMT) Full text and rfc822 format available.

Message #36 received at 660584@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "upiter77@lycos.com" <upiter77@lycos.com>
Cc: 660584@bugs.debian.org
Subject: Re: Bug#660584: closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE)
Date: Fri, 24 Feb 2012 13:47:29 -0400
Aha,

live-config Recommends live-tools, live-tools Recommends
debian-installer-launcher, so by this chain of dependencies, anyone with
recommends enabled (which is the default) will get
debian-installer-launcher installed now.

Daniel, since recommends are enabled by default, shouldn't live-tools
Recommends debian-installer-launcher by changed to Suggests? I don't
think the alternative is very user-friendly for those who don't use the
installer ...

Piotr, see live-manual about APT Pinning. You ought to be able to set a
-1 pin priority for debian-installer-launcher and then it won't be included.

Ben




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Feb 2012 18:24:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-build' to 'live-tools'. Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Fri, 24 Feb 2012 18:24:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-build/3.0~a45-1. Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Fri, 24 Feb 2012 18:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660584; Package live-tools. (Fri, 24 Feb 2012 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Feb 2012 23:03:03 GMT) Full text and rfc822 format available.

Message #47 received at 660584@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: synrg@sanctuary.nslug.ns.ca
Cc: 660584@bugs.debian.org
Subject: Re: Re: Bug#660584: closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE)
Date: Fri, 24 Feb 2012 23:00:04 +0000 (GMT)
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660584; Package live-tools. (Sat, 25 Feb 2012 00:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 25 Feb 2012 00:24:05 GMT) Full text and rfc822 format available.

Message #52 received at 660584@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "upiter77@lycos.com" <upiter77@lycos.com>
Cc: 660584@bugs.debian.org
Subject: Re: Bug#660584: closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE)
Date: Fri, 24 Feb 2012 20:20:54 -0400
On 24/02/12 07:00 PM, upiter77@lycos.com wrote:
> Ben, can you pls give some more details howto set -1 pin priority for
> debian-installer-launcher?
> I cannot find this option in the config configuratons.

As I said, see live-manual:

apt-get install live-manual

You want "8.4.5 APT Pinning"

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#660584; Package live-tools. (Sat, 25 Feb 2012 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 25 Feb 2012 19:45:04 GMT) Full text and rfc822 format available.

Message #57 received at 660584@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: synrg@sanctuary.nslug.ns.ca
Cc: 660584@bugs.debian.org
Subject: Re: Re: Bug#660584: closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#660584: live-build: cannot remove Debian Installer icon on wheezy hdd LIVE)
Date: Sat, 25 Feb 2012 19:41:30 +0000 (GMT)
[Message part 1 (text/html, inline)]

Changed Bug title to 'downgrade debian-installer-launcher to suggests' from 'live-build: cannot remove Debian Installer icon on wheezy hdd LIVE' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 26 Feb 2012 20:30:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 26 Feb 2012 20:30:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 18 Mar 2012 14:54:04 GMT) Full text and rfc822 format available.

Notification sent to Piotr <upiter77@lycos.com>:
Bug acknowledged by developer. (Sun, 18 Mar 2012 14:54:04 GMT) Full text and rfc822 format available.

Message #66 received at 660584-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 660584-close@bugs.debian.org
Subject: Bug#660584: fixed in live-tools 3.0~a7-1
Date: Sun, 18 Mar 2012 14:52:37 +0000
Source: live-tools
Source-Version: 3.0~a7-1

We believe that the bug you reported is fixed in the latest version of
live-tools, which is due to be installed in the Debian FTP archive:

live-tools_3.0~a7-1.debian.tar.gz
  to main/l/live-tools/live-tools_3.0~a7-1.debian.tar.gz
live-tools_3.0~a7-1.dsc
  to main/l/live-tools/live-tools_3.0~a7-1.dsc
live-tools_3.0~a7-1_all.deb
  to main/l/live-tools/live-tools_3.0~a7-1_all.deb
live-tools_3.0~a7.orig.tar.gz
  to main/l/live-tools/live-tools_3.0~a7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660584@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Mar 2012 14:47:23 +0100
Source: live-tools
Binary: live-tools
Architecture: source all
Version: 3.0~a7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-tools - Debian Live - System Support Scripts
Closes: 660584
Changes: 
 live-tools (3.0~a7-1) unstable; urgency=low
 .
   * Moving debian-installer-launcher to suggests (Closes: #660584).
   * Updating copyright file machine-readable format version 1.0.
   * Updating to standards version 3.9.3.
   * Adding copyright header to remaining files.
   * Removing todo file, content is included centrally on
     live.debian.net/devel for all components.
Checksums-Sha1: 
 17a762a4f5cb5d74ab3c1a01789a03088fbc236e 1266 live-tools_3.0~a7-1.dsc
 e125fa97dce7837bfd788ea252d408eacb22db61 17770 live-tools_3.0~a7.orig.tar.gz
 7fb27afa001ee331bec4ede849435d9bc5dc568a 2399 live-tools_3.0~a7-1.debian.tar.gz
 7172d2df5245a57ad316cde7904378cc871b0a70 6522 live-tools_3.0~a7-1_all.deb
Checksums-Sha256: 
 64b81e39ec88a155652b1ef8190a5368b924545791c2bb6f1ea602edccc1c0e8 1266 live-tools_3.0~a7-1.dsc
 963fc2ca4e14e49716f4b9292e7661b0802bfd00c787226666654661891d4af8 17770 live-tools_3.0~a7.orig.tar.gz
 51e47947ae1ce1c5c1804f4862ec78da865d3250e8c08ded1f6c75c326dd7fb8 2399 live-tools_3.0~a7-1.debian.tar.gz
 c92faaaed90d0dd531f8698b76f29185e89d3c7f551c59fe2aad605023187229 6522 live-tools_3.0~a7-1_all.deb
Files: 
 e80f2346c9670b9f197df8b0007a7813 1266 misc optional live-tools_3.0~a7-1.dsc
 127dd74b8bd53e52eaeb4fb3625b67e0 17770 misc optional live-tools_3.0~a7.orig.tar.gz
 ec5d4b8af48586b8d07990bed6fe3116 2399 misc optional live-tools_3.0~a7-1.debian.tar.gz
 cca97bfae2fb3c6d1ea45dcb5b003db5 6522 misc optional live-tools_3.0~a7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9l6BYACgkQ+C5cwEsrK57bVQCgvYVlxSsHlUL85QtQD/iEWr8M
k7UAn1I+I6mj2VSFvyux6GNFK8LkuIM/
=F1Bu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Apr 2012 07:39:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:56:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.